Debian Bug report logs - #614468
blackbox: FTBFS: Util.cc:197: error: 'std::string bt::textPropertyToString(Display*, XTextProperty&)' should have been declared inside 'bt'

version graph

Package: src:blackbox; Maintainer for src:blackbox is Debian QA Group <packages@qa.debian.org>;

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Mon, 21 Feb 2011 22:41:07 UTC

Severity: serious

Tags: sid, wheezy

Found in version blackbox/0.70.1-2.2

Fixed in version blackbox/0.70.1-3

Done: Jakub Wilk <jwilk@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Bruno Barrera C. <bruno@debian.org>:
Bug#614468; Package src:blackbox. (Mon, 21 Feb 2011 22:41:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to Bruno Barrera C. <bruno@debian.org>. (Mon, 21 Feb 2011 22:41:10 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: blackbox: FTBFS: Util.cc:197: error: 'std::string bt::textPropertyToString(Display*, XTextProperty&)' should have been declared inside 'bt'
Date: Mon, 21 Feb 2011 23:27:39 +0100
Source: blackbox
Version: 0.70.1-2.2
Severity: serious
Tags: squeeze sid
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20110221 qa-ftbfs
Justification: FTBFS on amd64

Hi,

During a rebuild of all packages in sid, your package failed to build on
amd64.

Relevant part:
>  x86_64-linux-gnu-g++ -DHAVE_CONFIG_H -I. -I. -I.. -DXFT -DNLS -DLOCALEPATH=\"/usr/share/blackbox/nls\" -I/usr/include -I/usr/local/include -g -O2 -I/usr/include/freetype2 -MT Util.lo -MD -MP -MF .deps/Util.Tpo -c Util.cc  -fPIC -DPIC -o .libs/Util.o
> Util.cc:197: error: 'std::string bt::textPropertyToString(Display*, XTextProperty&)' should have been declared inside 'bt'
> make[3]: *** [Util.lo] Error 1

The full build log is available from:
   http://people.debian.org/~lucas/logs/2011/02/21/blackbox_0.70.1-2.2_lsid64.buildlog

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
of the Grid'5000 platform, using a clean chroot.  Internet was not
accessible from the build systems.

-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Removed tag(s) squeeze. Request was from Lucas Nussbaum <lucas@lucas-nussbaum.net> to control@bugs.debian.org. (Tue, 22 Feb 2011 06:12:32 GMT) Full text and rfc822 format available.

Added tag(s) wheezy. Request was from Lucas Nussbaum <lucas@lucas-nussbaum.net> to control@bugs.debian.org. (Tue, 22 Feb 2011 06:13:18 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Sat, 12 Mar 2011 23:33:03 GMT) Full text and rfc822 format available.

Reply sent to Jakub Wilk <jwilk@debian.org>:
You have taken responsibility. (Sun, 13 Mar 2011 21:03:13 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Sun, 13 Mar 2011 21:03:13 GMT) Full text and rfc822 format available.

Message #16 received at 614468-close@bugs.debian.org (full text, mbox):

From: Jakub Wilk <jwilk@debian.org>
To: 614468-close@bugs.debian.org
Subject: Bug#614468: fixed in blackbox 0.70.1-3
Date: Sun, 13 Mar 2011 21:00:43 +0000
Source: blackbox
Source-Version: 0.70.1-3

We believe that the bug you reported is fixed in the latest version of
blackbox, which is due to be installed in the Debian FTP archive:

blackbox_0.70.1-3.debian.tar.gz
  to main/b/blackbox/blackbox_0.70.1-3.debian.tar.gz
blackbox_0.70.1-3.dsc
  to main/b/blackbox/blackbox_0.70.1-3.dsc
blackbox_0.70.1-3_i386.deb
  to main/b/blackbox/blackbox_0.70.1-3_i386.deb
libbt-dev_0.70.1-3_i386.deb
  to main/b/blackbox/libbt-dev_0.70.1-3_i386.deb
libbt_0.70.1-3_i386.deb
  to main/b/blackbox/libbt_0.70.1-3_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 614468@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jakub Wilk <jwilk@debian.org> (supplier of updated blackbox package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 13 Mar 2011 21:19:15 +0100
Source: blackbox
Binary: blackbox libbt-dev libbt
Architecture: source i386
Version: 0.70.1-3
Distribution: unstable
Urgency: low
Maintainer: Debian QA Group <packages@qa.debian.org>
Changed-By: Jakub Wilk <jwilk@debian.org>
Description: 
 blackbox   - Window manager for X
 libbt      - Blackbox - shared library
 libbt-dev  - Blackbox - development library
Closes: 466278 551472 553352 572459 614468
Changes: 
 blackbox (0.70.1-3) unstable; urgency=low
 .
   * QA upload.
   * Set the Maintainer field to Debian QA Group (closes: #553352, #572459).
     Thanks for Sandro Tosi and Jan Hauke Rahm for the bug reports.
   * Drop the Uploaders field.
   * Switch source format to 3.0 (quilt).
     + Convert monolithic diff into separate, small patches.
     + Undo Debian-specific changes to mk.sh; it isn't used at build time
       anyway.
     + Undo changes to files that could be automatically regenerated.
   * Use dpkg-buildflags to set CFLAGS.
     + Update debian/rules.
     + Build depend on dpkg-dev (>= 1.15.7).
   * Bump debhelper compatibility level to 7.
   * Tidy up debian/rules.
     + Drop superfluous whitespace, uninteresting comments.
     + Avoid direct calls to ‘rm’ or ‘install’. Use debian/clean and
       debian/*.install files instead.
     + Remove call to (obsolete) dh_desktop.
     + Add call to dh_icons (closes: #466278). Thanks to James Westby for the
       bug report.
     + Don't pass --sourcedir to dh_install; not needed anymore.
     + Use dh_prep instead of dh_clean -k.
   * Tidy up debian/control:
     + Add ${misc:Depends} to all packages' Depends.
     + Add Homepage field.
     + Clarify long description for libbt (closes: #551472). Thanks to Junichi
       Uekawa for the bug report.
   * Run autoreconf at build time. Unconditionally update config.sub and
     config.guess.
     + Build-depend on autoconf, automake, libtool, autotools-dev.
     + Add regenerated files to dpkg's extend-diff-ignore.
   * Declare bt::textPropertyToString unconditionally (closes: #614468) to fix
     FTBFS with recent versions of X libraries. Thanks to Lucas Nussbaum for
     the bug report.
   * Bump standards version to 3.9.1:
     + Move /usr/lib/libbt.so to the -dev package.
     + Don't install /usr/lib/libbt.la.
   * Add watch file.
   * Fix spelling and typographic errors in the manual pages.
   * Fix spelling errors in the code.
   * Don't create empty directory: /usr/share/blackbox/nls. Natural language
     support has been defunct since 0.70.0.
Checksums-Sha1: 
 c14ddc1d1b8e8881d7e62ef6c671504845c14821 1786 blackbox_0.70.1-3.dsc
 0df06d9643b3518394fc7df5048cc711d8391e88 16971 blackbox_0.70.1-3.debian.tar.gz
 a270454cad0c2ed27fd0bb902127f2b311f81195 251874 blackbox_0.70.1-3_i386.deb
 f977f55b6b16bcc0241cbd6b948affd8df78604d 131430 libbt-dev_0.70.1-3_i386.deb
 b89441f7a148e507c69dcafa9b9044cf77cb3f35 104756 libbt_0.70.1-3_i386.deb
Checksums-Sha256: 
 42e9fd88570dcfc1ed14a0a26a74b576efa4271ffc99c081faec7dc0c47b94b6 1786 blackbox_0.70.1-3.dsc
 eb291d96c88cf0bf9cc1f8c0c70155ed788b7bda3650ca7948f768fb4bde6c7b 16971 blackbox_0.70.1-3.debian.tar.gz
 c19551d5cb17d9bfdc99f5fd283879437368445cbb3dfcb5ebfc0c9d6ab98015 251874 blackbox_0.70.1-3_i386.deb
 122131c150e45cfdb9e58662edcccacc85b360221f8e5252bb3811183ca505a1 131430 libbt-dev_0.70.1-3_i386.deb
 49eefa4a45f4b1158d08261a186b12a31437b0640fb6f7b67fac453879174104 104756 libbt_0.70.1-3_i386.deb
Files: 
 7d11c45a0c7ec5e2bb075cea573aa2a6 1786 x11 optional blackbox_0.70.1-3.dsc
 3e5c9208b2fe23690944da53da20b5aa 16971 x11 optional blackbox_0.70.1-3.debian.tar.gz
 340b5963e3448e70c85f15b9cc04f6e0 251874 x11 optional blackbox_0.70.1-3_i386.deb
 9daf13d9cf4811e4857ae0d8b25d043e 131430 libdevel optional libbt-dev_0.70.1-3_i386.deb
 52522440938aeb31f3838045112d6795 104756 libs optional libbt_0.70.1-3_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJNfSucAAoJEC1Os6YBVHX1ZvUQAKDyeKnesN7vx8rhPabI0r+5
W+2qYOj29AFnRr601GGUNw7u63RKpB84TZTvRKI9bRQvY95QUWvTrrCLr8eoAusJ
Fh3c3cLlOzgBnMpSOtrYIsU7Ez55e1WcFR+zXgGUNSWB7AzfW+nxkF9Yfk03HJZE
dPn03lFhHTERM7BHxVjzhEqIwpgZ31lkYJlVYGajsF25s9FpWpPSlEWIEPik8Hbb
h+KoTSJz5PaUG0bdZkDyzoiNfpmO6wCiv3z8mnp+4qx0exb2jgbMIEqq/ujNhovx
ZnUzAEKfBlEFRd94QiGNDn6hhkb+BgzdGso1w/A3KIKJI5tKvz5GP00yOZ3wMNnv
q8VfWgXZW2Z/mq/VK7PLxD0rs/IlfnIPQtR0XT5q/5FV2seknwFLbNwXC7+ppM4T
bxCRMXiwRV0V7zS7EsIqwEudyVWodVbAB9MU4C3ElId2GwI97B9n5jy3Q6r4c5S3
09N9YuV6m7VPu9gH1ZP3hy5Xw1YuC3HEO3g8wbbiYB3t0aahyqQ400Wv7F1D52p6
N357r24AuBEaUSWktm6vqykd8R2aDhj4LJ96bToYnbNwUZyOh38wF+JwQqfi1w1W
WI6X/I4eHJS9VWK2D0Rclv2pnHkOi3w5YOLBZqPRrZb7VN9xRhJ7wavkr347dK0u
DRemE7qmxQsiAdF1zGCE
=+blz
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 14 Mar 2012 08:56:46 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 19:52:14 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.